<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.syzy.mapper.BBusiWishUniversitiesEmploymentreportMapper">
    
    <resultMap type="BBusiWishUniversitiesEmploymentreport" id="BBusiWishUniversitiesEmploymentreportResult">
        <result property="id"    column="id"    />
        <result property="collegeCode"    column="collegeCode"    />
        <result property="title"    column="title"    />
        <result property="webSite"    column="webSite"    />
        <result property="name"    column="name"    />
        <result property="type"    column="type"    />
        <result property="url"    column="url"    />
        <result property="updateTime"    column="updateTime"    />
        <result property="createTime"    column="createTime"    />
    </resultMap>

    <sql id="selectBBusiWishUniversitiesEmploymentreportVo">
        select id, collegeCode, title, webSite, name, type, url, updateTime, createTime from b_busi_wish_universities_employmentreport
    </sql>

    <select id="selectBBusiWishUniversitiesEmploymentreportList" parameterType="BBusiWishUniversitiesEmploymentreport" resultMap="BBusiWishUniversitiesEmploymentreportResult">
        <include refid="selectBBusiWishUniversitiesEmploymentreportVo"/>
        <where>  
            <if test="collegeCode != null  and collegeCode != ''"> and collegeCode = #{collegeCode}</if>
            <if test="title != null  and title != ''"> and title = #{title}</if>
            <if test="webSite != null  and webSite != ''"> and webSite = #{webSite}</if>
            <if test="name != null  and name != ''"> and name like concat('%', #{name}, '%')</if>
            <if test="type != null  and type != ''"> and type = #{type}</if>
            <if test="url != null  and url != ''"> and url = #{url}</if>
            <if test="updateTime != null "> and updateTime = #{updateTime}</if>
            <if test="createTime != null "> and createTime = #{createTime}</if>
        </where>
        order by title desc
    </select>
    
    <select id="selectBBusiWishUniversitiesEmploymentreportById" parameterType="String" resultMap="BBusiWishUniversitiesEmploymentreportResult">
        <include refid="selectBBusiWishUniversitiesEmploymentreportVo"/>
        where id = #{id}
    </select>
        
    <insert id="insertBBusiWishUniversitiesEmploymentreport" parameterType="BBusiWishUniversitiesEmploymentreport">
        insert into b_busi_wish_universities_employmentreport
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="id != null and id != ''">id,</if>
            <if test="collegeCode != null and collegeCode != ''">collegeCode,</if>
            <if test="title != null and title != ''">title,</if>
            <if test="webSite != null and webSite != ''">webSite,</if>
            <if test="name != null">name,</if>
            <if test="type != null">type,</if>
            <if test="url != null">url,</if>
            <if test="updateTime != null">updateTime,</if>
            <if test="createTime != null">createTime,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="id != null and id != ''">#{id},</if>
            <if test="collegeCode != null and collegeCode != ''">#{collegeCode},</if>
            <if test="title != null and title != ''">#{title},</if>
            <if test="webSite != null and webSite != ''">#{webSite},</if>
            <if test="name != null">#{name},</if>
            <if test="type != null">#{type},</if>
            <if test="url != null">#{url},</if>
            <if test="updateTime != null">#{updateTime},</if>
            <if test="createTime != null">#{createTime},</if>
         </trim>
    </insert>

    <update id="updateBBusiWishUniversitiesEmploymentreport" parameterType="BBusiWishUniversitiesEmploymentreport">
        update b_busi_wish_universities_employmentreport
        <trim prefix="SET" suffixOverrides=",">
            <if test="collegeCode != null and collegeCode != ''">collegeCode = #{collegeCode},</if>
            <if test="title != null and title != ''">title = #{title},</if>
            <if test="webSite != null and webSite != ''">webSite = #{webSite},</if>
            <if test="name != null">name = #{name},</if>
            <if test="type != null">type = #{type},</if>
            <if test="url != null">url = #{url},</if>
            <if test="updateTime != null">updateTime = #{updateTime},</if>
            <if test="createTime != null">createTime = #{createTime},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteBBusiWishUniversitiesEmploymentreportById" parameterType="String">
        delete from b_busi_wish_universities_employmentreport where id = #{id}
    </delete>

    <delete id="deleteBBusiWishUniversitiesEmploymentreportByIds" parameterType="String">
        delete from b_busi_wish_universities_employmentreport where id in 
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>
</mapper>